GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ServerContext::CompletionOp Class Reference

## Public Member Functions
| CompletionOp ()
void | FillOps (grpc_op *ops, size_t *nops) GRPC_OVERRIDE
| Fills in grpc_op, starting from ops[*nops] and moving upwards. More...
bool | FinalizeResult (void **tag, bool *status) GRPC_OVERRIDE
bool | CheckCancelled (CompletionQueue *cq)
void | Unref ()
Public Member Functions inherited from grpc::CallOpSetInterface
| CallOpSetInterface ()
void | set_max_message_size (int max_message_size)
Public Member Functions inherited from grpc::CompletionQueueTag
virtual | ~CompletionQueueTag ()

## Additional Inherited Members
Protected Attributes inherited from grpc::CallOpSetInterface
int | max_message_size_

## Constructor & Destructor Documentation

grpc::ServerContext::CompletionOp::CompletionOp | ( |  | ) |
| inline

## Member Function Documentation

bool grpc::ServerContext::CompletionOp::CheckCancelled | ( | CompletionQueue * | cq | ) |

void grpc::ServerContext::CompletionOp::FillOps | ( | grpc_op * | ops,
|  | size_t * | nops
| ) |  |
| virtual

Fills in grpc_op, starting from ops[*nops] and moving upwards.

Implements grpc::CallOpSetInterface.

bool grpc::ServerContext::CompletionOp::FinalizeResult | ( | void ** | tag,
|  | bool * | status
| ) |  |
| virtual

Implements grpc::CompletionQueueTag.

void grpc::ServerContext::CompletionOp::Unref | ( |  | ) |

The documentation for this class was generated from the following file:

- src/cpp/server/server_context.cc